CREATE TABLE cse_assets_int (
    INTERFACE_ROW_ID                  NUMBER(18, 0) ,
    INTERFACE_STATUS_CODE             VARCHAR2(120) ,
    INTERFACE_BATCH_ID                NUMBER(18, 0) ,
    INTERFACE_BATCH_CODE              VARCHAR2(120) ,
    INTERFACE_RECORD_NUMBER           VARCHAR2(72)  ,
    ACTION_CODE                       VARCHAR2(120)     NOT NULL,
    ASSET_ID                          NUMBER(18, 0) ,
    ASSET_NUMBER                      VARCHAR2(320) ,
    ASSET_DESCRIPTION                 VARCHAR2(960) ,
    DESCRIPTION_ASSET_FLAG            VARCHAR2(4)   ,
    VLD_ORGANIZATION_ID               NUMBER(18, 0) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ORGANIZATION_ID              NUMBER(18, 0) ,
    ITEM_ORGANIZATION_CODE            VARCHAR2(72)  ,
    ASSET_TRACKING_CODE               VARCHAR2(4)   ,
    GENEALOGY_ENABLED_FLAG            VARCHAR2(4)   ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    QUANTITY                          NUMBER        ,
    UOM_CODE                          VARCHAR2(12)  ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    STATUS_CODE                       VARCHAR2(120) ,
    COMPETITOR_ASSET_FLAG             VARCHAR2(4)   ,
    CONNECTED_ASSET_FLAG              VARCHAR2(4)   ,
    IOT_ENABLED_FLAG                  VARCHAR2(4)   ,
    CURRENT_LOCATION_CONTEXT          VARCHAR2(320) ,
    CURRENT_LOCATION_ID               NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_ID          NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_CODE        VARCHAR2(72)  ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    INVENTORY_LOCATOR_ID              NUMBER(18, 0) ,
    INVENTORY_LOCATOR_SEGMENT1        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT2        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT3        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT4        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT5        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT6        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT7        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT8        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT9        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT10       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT11       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT12       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT13       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT14       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT15       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT16       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT17       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT18       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT19       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT20       VARCHAR2(160) ,
    LICENSE_PLATE_NUMBER              VARCHAR2(120) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_OPERATION_ID           NUMBER(18, 0) ,
    WO_OPERATION_SEQ_NUMBER           NUMBER        ,
    INTERNAL_LOCATION_CODE            VARCHAR2(600) ,
    COUNTRY                           VARCHAR2(8)   ,
    ADDRESS1                          VARCHAR2(960) ,
    ADDRESS2                          VARCHAR2(960) ,
    ADDRESS3                          VARCHAR2(960) ,
    ADDRESS4                          VARCHAR2(960) ,
    CITY                              VARCHAR2(240) ,
    POSTAL_CODE                       VARCHAR2(240) ,
    STATE                             VARCHAR2(240) ,
    PROVINCE                          VARCHAR2(240) ,
    COUNTY                            VARCHAR2(240) ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_ID                    NUMBER(18, 0) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SOLD_BY_BUSINESS_UNIT_NAME        VARCHAR2(960) ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    SHIPMENT_DATE                     DATE          ,
    PURCHASE_DATE                     DATE          ,
    CUSTOMER_NUMBER                   VARCHAR2(120) ,
    CUSTOMER_NAME                     VARCHAR2(1440),
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_PARTY_TYPE               VARCHAR2(120) ,
    CUSTOMER_SITE_PARTY_NUMBER        VARCHAR2(120) ,
    CUSTOMER_SITE_PARTY_NAME          VARCHAR2(1440),
    CUSTOMER_SITE_PARTY_ID            NUMBER(18, 0) ,
    CUSTOMER_SITE_NUMBER              VARCHAR2(120) ,
    CUSTOMER_SITE_NAME                VARCHAR2(960) ,
    CUSTOMER_SITE_ID                  NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_NUMBER           VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_NAME             VARCHAR2(960) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_NUMBER      VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_SITE_NAME        VARCHAR2(960) ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_USE_CODE    VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER(18, 0) ,
    CONTACT_ID                        NUMBER(18, 0) ,
    CONTACT_NUMBER                    VARCHAR2(120) ,
    CONTACT_NAME                      VARCHAR2(1440),
    SUPPLIER_ID                       NUMBER(18, 0) ,
    SUPPLIER_NAME                     VARCHAR2(1440),
    SUPPLIER_SITE_ID                  NUMBER(18, 0) ,
    SUPPLIER_SITE_CODE                VARCHAR2(60)  ,
    DFLT_WO_TYPE                      VARCHAR2(120) ,
    DFLT_WO_SUB_TYPE                  VARCHAR2(120) ,
    MAINTAINABLE_FLAG                 VARCHAR2(4)   ,
    ACTIVE_END_DATE                   TIMESTAMP(6)  ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    NEW_WO_ALLOWED_FLAG               VARCHAR2(4)   ,
    OKC_INTERFACE_FLAG                VARCHAR2(4)   ,
    EXPLODE_BOM_FLAG                  VARCHAR2(4)   ,
    NEW_ASSET_NUMBER                  VARCHAR2(320) ,
    GEN_OBJECT_ID                     NUMBER(18, 0) ,
    ROOT_ASSET_ID                     NUMBER(18, 0) ,
    LOGICAL_ROOT_ASSET_ID             NUMBER(18, 0) ,
    PARENT_INT_RECORD_NUMBER          VARCHAR2(72)  ,
    PARENT_INT_RECORD_ID              NUMBER(18, 0) ,
    PARENT_ASSET_NUMBER               VARCHAR2(320) ,
    PARENT_ASSET_ID                   NUMBER(18, 0) ,
    RELATIONSHIP_ACTION_CODE          VARCHAR2(120) ,
    RELATIONSHIP_TYPE_CODE            VARCHAR2(120) ,
    EXTERNAL_LOCATION                 VARCHAR2(960) ,
    IN_SERVICE_DATE                   DATE          ,
    INSTALLED_DATE                    DATE          ,
    INVENTORY_LOCATOR_NAME            VARCHAR2(4000),
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    PARENT_ITEM_NUMBER                VARCHAR2(1200),
    PARENT_SERIAL_NUMBER              VARCHAR2(320) ,
    PARENT_LOT_NUMBER                 VARCHAR2(320) ,
    REGISTRATION_DATE                 DATE          ,
    SRC_SYSTEM_TYPE                   VARCHAR2(120) ,
    SRC_SYSTEM_CODE                   VARCHAR2(120) ,
    SRC_SYSTEM_ID                     NUMBER(18, 0) ,
    SRC_TRANSACTION_DATE              TIMESTAMP(6)  ,
    SRC_TRANSACTION_ID                NUMBER        ,
    SRC_TRANSACTION_TYPE_ID           VARCHAR2(120) ,
    SRC_TRANSACTION_TYPE              VARCHAR2(960) ,
    SRC_TRANSACTION_QTY               NUMBER        ,
    SRC_TRANSACTION_UOM_CODE          VARCHAR2(12)  ,
    TXN_DOC_TYPE_CODE                 VARCHAR2(120) ,
    TXN_DOC_NUMBER                    VARCHAR2(120) ,
    TXN_DOC_ID                        NUMBER(18, 0) ,
    TXN_DOC_LINE_NUMBER               VARCHAR2(120) ,
    TXN_DOC_LINE_ID                   NUMBER(18, 0) ,
    TXN_DOC_SUB_LINE_NUMBER           VARCHAR2(120) ,
    TXN_DOC_SUB_LINE_ID               NUMBER(18, 0) ,
    PARTITION_NUMBER                  NUMBER(18, 0) ,
    CRITICALITY_CODE                  VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(320) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR21                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR22                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR23                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR24                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR25                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR26                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR27                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR28                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR29                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR30                  VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_CHAR001            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR002            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR003            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR004            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR005            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR006            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR007            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR008            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR009            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR010            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR011            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR012            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR013            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR014            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR015            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR016            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR017            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR018            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR019            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR020            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR021            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR022            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR023            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR024            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR025            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR026            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR027            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR028            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR029            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR030            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR031            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR032            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR033            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR034            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR035            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR036            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR037            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR038            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR039            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR040            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR041            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR042            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR043            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR044            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR045            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR046            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR047            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR048            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR049            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR050            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR051            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR052            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR053            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR054            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR055            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR056            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR057            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR058            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR059            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR060            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR061            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR062            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR063            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR064            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR065            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR066            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR067            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR068            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR069            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR070            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR071            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR072            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR073            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR074            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR075            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR076            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR077            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR078            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR079            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR080            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR081            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR082            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR083            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR084            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR085            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR086            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR087            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR088            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR089            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR090            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR091            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR092            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR093            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR094            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR095            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR096            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR097            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR098            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR099            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR100            VARCHAR2(4000),
    EXTN_ATTRIBUTE_NUMBER001          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER002          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER003          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER004          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER005          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER006          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER007          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER008          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER009          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER010          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER011          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER012          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER013          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER014          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER015          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER016          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER017          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER018          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER019          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER020          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER021          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER022          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER023          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER024          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER025          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER026          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER027          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER028          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER029          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER030          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER031          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER032          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER033          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER034          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER035          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER036          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER037          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER038          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER039          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER040          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER041          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER042          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER043          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER044          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER045          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER046          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER047          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER048          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER049          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER050          NUMBER        ,
    EXTN_ATTRIBUTE_TIMESTAMP001       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP002       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP003       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP004       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP005       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP006       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP007       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP008       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP009       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP010       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_CLOB001            CLOB          ,
    EXTN_ATTRIBUTE_CLOB002            CLOB          ,
    EXTN_ATTRIBUTE_CLOB003            CLOB          ,
    EXTN_ATTRIBUTE_CLOB004            CLOB          ,
    EXTN_ATTRIBUTE_CLOB005            CLOB          ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    CORP_CURRENCY_CODE                VARCHAR2(60)  ,
    CURCY_CONV_RATE_TYPE              VARCHAR2(120) ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    INTERFACE_ROW_ID                  NUMBER(18, 0) ,
    INTERFACE_STATUS_CODE             VARCHAR2(120) ,
    INTERFACE_BATCH_ID                NUMBER(18, 0) ,
    INTERFACE_BATCH_CODE              VARCHAR2(120) ,
    INTERFACE_RECORD_NUMBER           VARCHAR2(72)  ,
    ACTION_CODE                       VARCHAR2(120)     NOT NULL,
    ASSET_ID                          NUMBER(18, 0) ,
    ASSET_NUMBER                      VARCHAR2(320) ,
    ASSET_DESCRIPTION                 VARCHAR2(960) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ORGANIZATION_ID              NUMBER(18, 0) ,
    ITEM_ORGANIZATION_CODE            VARCHAR2(72)  ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    QUANTITY                          NUMBER        ,
    UOM_CODE                          VARCHAR2(12)  ,
    STATUS_CODE                       VARCHAR2(120) ,
    CURRENT_LOCATION_CONTEXT          VARCHAR2(320) ,
    CURRENT_LOCATION_ID               NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_ID          NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_CODE        VARCHAR2(72)  ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    INVENTORY_LOCATOR_ID              NUMBER(18, 0) ,
    INVENTORY_LOCATOR_SEGMENT1        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT2        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT3        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT4        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT5        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT6        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT7        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT8        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT9        VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT10       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT11       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT12       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT13       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT14       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT15       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT16       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT17       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT18       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT19       VARCHAR2(160) ,
    INVENTORY_LOCATOR_SEGMENT20       VARCHAR2(160) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_OPERATION_ID           NUMBER(18, 0) ,
    WO_OPERATION_SEQ_NUMBER           NUMBER        ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_ID                    NUMBER(18, 0) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SOLD_BY_BUSINESS_UNIT_NAME        VARCHAR2(960) ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    SHIPMENT_DATE                     DATE          ,
    PURCHASE_DATE                     DATE          ,
    CUSTOMER_NUMBER                   VARCHAR2(120) ,
    CUSTOMER_NAME                     VARCHAR2(1440),
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_SITE_PARTY_NUMBER        VARCHAR2(120) ,
    CUSTOMER_SITE_PARTY_NAME          VARCHAR2(1440),
    CUSTOMER_SITE_PARTY_ID            NUMBER(18, 0) ,
    CUSTOMER_SITE_NUMBER              VARCHAR2(120) ,
    CUSTOMER_SITE_NAME                VARCHAR2(960) ,
    CUSTOMER_SITE_ID                  NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_NUMBER           VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_NAME             VARCHAR2(960) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_NUMBER      VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_SITE_NAME        VARCHAR2(960) ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_USE_CODE    VARCHAR2(120) ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER(18, 0) ,
    SUPPLIER_ID                       NUMBER(18, 0) ,
    SUPPLIER_NAME                     VARCHAR2(1440),
    SUPPLIER_SITE_ID                  NUMBER(18, 0) ,
    SUPPLIER_SITE_CODE                VARCHAR2(60)  ,
    DFLT_WO_TYPE                      VARCHAR2(120) ,
    DFLT_WO_SUB_TYPE                  VARCHAR2(120) ,
    MAINTAINABLE_FLAG                 VARCHAR2(4)   ,
    ACTIVE_END_DATE                   TIMESTAMP(6)  ,
    NEW_WO_ALLOWED_FLAG               VARCHAR2(4)   ,
    OKC_INTERFACE_FLAG                VARCHAR2(4)   ,
    NEW_ASSET_NUMBER                  VARCHAR2(320) ,
    GEN_OBJECT_ID                     NUMBER(18, 0) ,
    PARENT_INT_RECORD_NUMBER          VARCHAR2(72)  ,
    PARENT_INT_RECORD_ID              NUMBER(18, 0) ,
    PARENT_ASSET_NUMBER               VARCHAR2(320) ,
    PARENT_ASSET_ID                   NUMBER(18, 0) ,
    RELATIONSHIP_ACTION_CODE          VARCHAR2(120) ,
    RELATIONSHIP_TYPE_CODE            VARCHAR2(120) ,
    PARTITION_NUMBER                  NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(320) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(960) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    EXTERNAL_LOCATION                 VARCHAR2(960) ,
    IN_SERVICE_DATE                   DATE          ,
    INSTALLED_DATE                    DATE          ,
    INVENTORY_LOCATOR_NAME            VARCHAR2(4000),
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    PARENT_ITEM_NUMBER                VARCHAR2(1200),
    PARENT_SERIAL_NUMBER              VARCHAR2(320) ,
    PARENT_LOT_NUMBER                 VARCHAR2(320) ,
    REGISTRATION_DATE                 DATE          ,
    SRC_SYSTEM_TYPE                   VARCHAR2(120) ,
    SRC_SYSTEM_CODE                   VARCHAR2(120) ,
    SRC_SYSTEM_ID                     NUMBER(18, 0) ,
    SRC_TRANSACTION_DATE              TIMESTAMP(6)  ,
    SRC_TRANSACTION_ID                NUMBER        ,
    SRC_TRANSACTION_TYPE_ID           VARCHAR2(120) ,
    SRC_TRANSACTION_TYPE              VARCHAR2(960) ,
    SRC_TRANSACTION_QTY               NUMBER        ,
    SRC_TRANSACTION_UOM_CODE          VARCHAR2(12)  ,
    TXN_DOC_TYPE_CODE                 VARCHAR2(120) ,
    TXN_DOC_NUMBER                    VARCHAR2(120) ,
    TXN_DOC_ID                        NUMBER(18, 0) ,
    TXN_DOC_LINE_NUMBER               VARCHAR2(120) ,
    TXN_DOC_LINE_ID                   NUMBER(18, 0) ,
    TXN_DOC_SUB_LINE_NUMBER           VARCHAR2(120) ,
    TXN_DOC_SUB_LINE_ID               NUMBER(18, 0) ,
    IOT_ENABLED_FLAG                  VARCHAR2(4)   ,
    INTERNAL_LOCATION_CODE            VARCHAR2(600) ,
    COUNTRY                           VARCHAR2(8)   ,
    ADDRESS1                          VARCHAR2(960) ,
    ADDRESS2                          VARCHAR2(960) ,
    ADDRESS3                          VARCHAR2(960) ,
    ADDRESS4                          VARCHAR2(960) ,
    CITY                              VARCHAR2(240) ,
    POSTAL_CODE                       VARCHAR2(240) ,
    STATE                             VARCHAR2(240) ,
    PROVINCE                          VARCHAR2(240) ,
    COUNTY                            VARCHAR2(240) ,
    EXPLODE_BOM_FLAG                  VARCHAR2(4)   ,
    EXTN_ATTRIBUTE_CHAR001            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR002            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR003            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR004            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR005            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR006            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR007            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR008            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR009            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR010            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR011            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR012            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR013            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR014            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR015            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR016            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR017            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR018            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR019            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR020            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR021            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR022            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR023            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR024            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR025            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR026            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR027            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR028            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR029            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR030            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR031            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR032            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR033            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR034            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR035            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR036            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR037            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR038            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR039            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR040            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR041            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR042            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR043            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR044            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR045            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR046            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR047            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR048            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR049            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR050            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR051            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR052            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR053            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR054            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR055            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR056            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR057            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR058            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR059            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR060            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR061            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR062            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR063            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR064            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR065            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR066            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR067            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR068            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR069            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR070            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR071            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR072            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR073            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR074            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR075            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR076            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR077            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR078            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR079            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR080            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR081            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR082            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR083            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR084            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR085            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR086            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR087            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR088            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR089            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR090            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR091            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR092            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR093            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR094            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR095            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR096            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR097            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR098            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR099            VARCHAR2(4000),
    EXTN_ATTRIBUTE_CHAR100            VARCHAR2(4000),
    EXTN_ATTRIBUTE_NUMBER001          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER002          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER003          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER004          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER005          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER006          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER007          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER008          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER009          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER010          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER011          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER012          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER013          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER014          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER015          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER016          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER017          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER018          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER019          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER020          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER021          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER022          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER023          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER024          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER025          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER026          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER027          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER028          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER029          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER030          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER031          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER032          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER033          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER034          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER035          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER036          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER037          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER038          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER039          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER040          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER041          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER042          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER043          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER044          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER045          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER046          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER047          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER048          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER049          NUMBER        ,
    EXTN_ATTRIBUTE_NUMBER050          NUMBER        ,
    EXTN_ATTRIBUTE_TIMESTAMP001       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP002       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP003       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP004       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP005       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP006       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP007       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP008       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP009       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_TIMESTAMP010       TIMESTAMP(6)  ,
    EXTN_ATTRIBUTE_CLOB001            CLOB          ,
    EXTN_ATTRIBUTE_CLOB002            CLOB          ,
    EXTN_ATTRIBUTE_CLOB003            CLOB          ,
    EXTN_ATTRIBUTE_CLOB004            CLOB          ,
    EXTN_ATTRIBUTE_CLOB005            CLOB          ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    CORP_CURRENCY_CODE                VARCHAR2(60)  ,
    CURCY_CONV_RATE_TYPE              VARCHAR2(120) ,
    DESCRIPTION_ASSET_FLAG            VARCHAR2(4)   ,
    COMPETITOR_ASSET_FLAG             VARCHAR2(4)   ,
    CONTACT_ID                        NUMBER(18, 0) ,
    CONTACT_NUMBER                    VARCHAR2(120) ,
    CONTACT_NAME                      VARCHAR2(1440),
    ASSET_TRACKING_CODE               VARCHAR2(4)   ,
    GENEALOGY_ENABLED_FLAG            VARCHAR2(4)   ,
    ATTRIBUTE_CHAR21                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR22                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR23                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR24                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR25                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR26                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR27                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR28                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR29                  VARCHAR2(960) ,
    ATTRIBUTE_CHAR30                  VARCHAR2(960) ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    CUSTOMER_PARTY_TYPE               VARCHAR2(120) ,
    CRITICALITY_CODE                  VARCHAR2(120) ,
    VLD_ORGANIZATION_ID               NUMBER(18, 0) ,
    ROOT_ASSET_ID                     NUMBER(18, 0) ,
    LOGICAL_ROOT_ASSET_ID             NUMBER(18, 0) ,
    CONNECTED_ASSET_FLAG              VARCHAR2(4)   ,
    LICENSE_PLATE_NUMBER              VARCHAR2(120) ,
    CONSTRAINT pk_cse_assets_int PRIMARY KEY (INTERFACE_ROW_ID, INTERFACE_ROW_ID)
);
